<!--base.html-->
<html>
  <head>
  <meta name="viewport" content="width=device-width, initial-scale=1,
    shrink-to-fit=no">
  <link rel="stylesheet"
  href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
  integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
  crossorigin="anonymous">
    <title>TeachEdsion</title>
  <head>
  <body>
      <nav class="navbar navbar-expand-lg navbar-dark bg-dark ">
  <a class="navbar-brand" href="/">TeachEdsion</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse"
      data-target="#navbarCollapse" aria-controls="navbarCollapse"
      aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="">
          {%if user.is_authenticated%}
        <ul class="navbar-nav ml-auto">
      <li class="nav-item">
        <a class="nav-link dropdow-toggle" href="#"
         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
         id="usermenu">{{user.username|title}}</a>
        <div class="dropdown-menu dropdown-menu-right"
            aria-labelledby="usermenu">
          <a class="dropdown-item" href="/accounts/logout">Logout</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="/accounts/password_change/">ChangePassword</a>
        </div>
      </li>
        </ul>
           {%else%}
         <form class="form-inline ml-auto ">
             <a  class= "btn btn-primary" href="/accounts/login"> login</a>
             <a  class="btn btn-primary ml-2" href="/signup">signup</a>
          </form>
          {%endif%}
  </div>
</nav>
<div class="container">
      {% block content %}
      {% endblock content %}
</div>

<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
    integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
    crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
 integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
 crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
   integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
   crossorigin="anonymous"></script>

  </body>
<html>
